Skip to main content

Create access profile

POST 

/access-profiles/v2

experimental

This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.

Create an access profile.

This version accepts the same request body and applies the same validation as Create Access Profile V1. It returns the v2 access profile shape, which adds the read-only privilegeLevel field.

A user with ROLE_SUBADMIN or SOURCE_SUBADMIN authority must be associated with the access profile's source. The maximum supported length for the description field is 2000 characters. Longer descriptions will be preserved for existing access profiles. However, any new access profiles as well as any updates to existing descriptions are limited to 2000 characters.

Note: To use this endpoint, you need all the listed scopes. Note: privilegeLevel is read-only and is ignored if supplied in the request body. It is calculated asynchronously from the access profile's entitlements, so it is typically absent from the create response.

Request​

Responses​

Access profile created.